/*
     $Revision$
     $Id$

    File:               bes_bestelling.js
    Description:        Javascript code voor bes_xxxx_bestelling
    Parameters:
    Context:
    Note:
*/

// Process de data die van de melder via Ajax terugkomt.
function process_besteller_info(prs_info)
{
    if ($("#kostenklant").prop("checked"))
      // Zet eigen (default) kostenplaats alleen als kostenklant AAN. Indien niet aanwezig dan wordt suggestbox automatisch leeg gemaakt.
      sgAccount.setValue(prs_info.kostenplaats_key, prs_info.kpn_string, true, true);
    $("#default_kostenplaats_person_key").val(prs_info.kostenplaats_key);
    $("#default_kostenplaats_person_omschr").val(prs_info.kpn_string);

    $("#delivery_place").val(prs_info.afleverruimte||"");
    if (prs_info.setmandaat)
      $("#bestellimiet").val(prs_info.profiel_limiet);

    // Als er maar 1 afleveradres is, dan moet deze geselecteerd blijven (verplicht en is standaard geselecteerd).
    if ($("#delivery_place").length > 1)
    {
      if (prs_info.mld_adres_key > 0)
        $("#deliveryAddr").val(prs_info.mld_adres_key);
      else
        $("#deliveryAddr").val(-1);
    }

    $("ordernr").val("");
    prskey = prs_info.prs_perslid_key;
    changeKostK();
};

function showPicture(logo_url)
{
  var imgObj = document.getElementById("photo");
  if (imgObj == null) return;

  if (logo_url&&logo_url != "")
    imgObj.src = logo_url;
  else
    imgObj.src = "../Pictures/no_photo.gif";
  imgObj.onclick = null;
}

var bes_supAddress = "";

function navigateToSupplier()
{
  fwnd = window.open(bes_supAddress, 'Supplier','');
  try { fwnd.focus(); } catch (e) { };
}

function onChangeArtikelgroep()
{
  sgBesItem.setValue(-1, "", true, false, null, true);

  clear_item_details();
}

function clear_item_details()
{
  window.stock_info = {}; // even onbekend.
  var imgObj = $("#photo")[0];
  imgObj.src = "../Pictures/no_photo.gif";
  imgObj.onclick = null;

  $("#srtgroep_text,#srtdeel_omschrijving,#srtdeel_opmerking").html("");
  $("#opmerking_tr").hide();
  $("#eenheid_text,#eenheid_sep,#prijs_text,#veelvoud_text").html("");
  $("#aantal_text").val(1);
  $("#veelvoud_tr").hide();
  $("#stock_text").html("");
  $("#stock_tr,#aantal_tr,#buttons_tr").hide();

  FcltMgr.resized();
}

// Toon de details van een item in het itemblokje
function show_item_details(bes_item_info)
{
  if (!bes_item_info)
    return;

  window.stock_info = {}; // even onbekend.

  var imgObj = $("#photo")[0];
  if (imgObj == null) return; // free artikel

  if (bes_item_info.srtdeel_image)
  {
    var im_file = bes_item_info.srtdeel_image;
    imgObj.src =  im_file;
    im_file_upper = im_file.toUpperCase();
    extension = im_file_upper.substr(im_file_upper.length - 3, 3);
    if (extension == "PDF")
    {
        imgObj.src = "../Pictures/pdf.jpg";
        bes_supAddress = im_file;
    }
    else
        bes_supAddress = bes_item_info.prs_bedrijf_details_loc;
    imgObj.onclick = navigateToSupplier;
  }
  else {
    imgObj.src = "../Pictures/no_photo.gif";
    imgObj.onclick = null;
  }

  $("#srtgroep_text").html(bes_item_info.srtgroup_text);
  $("#srtdeel_omschrijving").html(bes_item_info.srtdeel_omschrijving);
  $("#srtdeel_opmerking").html(bes_item_info.opmerking);
  $("#opmerking_tr").toggle(bes_item_info.opmerking!="");
  $("#eenheid_text").html(bes_item_info.eenheid);
  if (bes_item_info.eenheid) {
      $("#eenheid_sep").html("&nbsp;/&nbsp;");
  }
  $("#prijs_text").html(currency_pref + num2curr(bes_item_info.price));
  //$("#aantal_text").val("1");
  $("#veelvoud_text").html(bes_item_info.veelvoud);
  $("#aantal_text").val(bes_item_info.bestelminimum||1);
  $("#veelvoud_tr").toggle(bes_item_info.veelvoud != 1);
  $("#stock_text").html("---");
  $("#stock_tr").toggle(bes_item_info.voorraad_url!=null);
  fetchArtikelInfo($("#stock_text")[0], bes_item_info.srtdeel_key);
  $("#aantal_tr").toggle(bes_item_info.srtdeel_omschrijving!="");
  $("#buttons_tr").toggle(bes_item_info.srtdeel_omschrijving!="");

  FcltMgr.resized();
}
